import { TypedConfigOptions } from './types.js';
import 'class-transformer';
import 'class-validator';

declare class TypedConfig<T extends object> {
    init(options: TypedConfigOptions<T>): Promise<T>;
    private processConfig;
    private getRawConfigAsync;
    private validateWithClassValidator;
    private getConfigErrorMessage;
    private formatValidationError;
}
declare function defineConfig<T extends object>(options: TypedConfigOptions<T>): Promise<T>;

export { TypedConfig, defineConfig };
